From 4683da91af27dddc93ebd5cda3b0f5a46824fdcc Mon Sep 17 00:00:00 2001
From: Mikolaj Izdebski <mizdebsk@redhat.com>
Date: Wed, 30 Aug 2023 15:53:26 +0200
Subject: [PATCH 2/3] Enable JPMS provides and JAR transformer

---
 src/main/rpm/macros.xmvngen | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/main/rpm/macros.xmvngen b/src/main/rpm/macros.xmvngen
index 0b124f4..b1ef101 100644
--- a/src/main/rpm/macros.xmvngen
+++ b/src/main/rpm/macros.xmvngen
@@ -1,6 +1,6 @@
 # Debug enable flag.
 # Setting this to non-empty value enables debugging output.
-%__xmvngen_debug %{nil}
+%__xmvngen_debug 1
 
 # Path to JVM library (libjvm.so).  Java 17 or newer is required.
 %__xmvngen_libjvm %{_jvmdir}/jre-21-openjdk/lib/server/libjvm.so
@@ -15,7 +15,7 @@
 # generator factories (classes implementing GeneratorFactory interface).
 # Available hook factories are:
 #  * org.fedoraproject.xmvn.generator.jpms.JPMSGeneratorFactory
-%__xmvngen_provides_generators %{nil}
+%__xmvngen_provides_generators org.fedoraproject.xmvn.generator.jpms.JPMSGeneratorFactory
 %__xmvngen_requires_generators %{nil}
 
 # Specify which post-install hooks should be ran.
@@ -23,4 +23,4 @@
 # hook factories (classes implementing HookFactory interface).
 # Available hook factories are:
 #  * org.fedoraproject.xmvn.generator.transformer.TransformerHookFactory
-%__xmvngen_post_install_hooks %{nil}
+%__xmvngen_post_install_hooks org.fedoraproject.xmvn.generator.transformer.TransformerHookFactory
-- 
2.48.1

